# PHTML::ResetButton Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::ResetButton:

List of all members.

## Public Member Functions

| ResetButton (const char *title, const char *fname=NULL, const char *src=NULL, DisableCodes disabled=Enabled, const char *attr=NULL)
virtual | ~ResetButton ()

## Protected Member Functions

| ResetButton (const char *type, const char *title, const char *fname=NULL, const char *src=NULL, DisableCodes disabled=Enabled, const char *attr=NULL)
virtual void | AddAttr (PHTML &html) const

## Constructor & Destructor Documentation

PHTML::ResetButton::ResetButton | ( | const char * | title,
|  | const char * | fname = `NULL`,
|  | const char * | src = `NULL`,
|  | DisableCodes | disabled = `Enabled`,
|  | const char * | attr = `NULL` |
| ) |  |  |

virtual PHTML::ResetButton::~ResetButton | ( |  | ) | `[inline, virtual]`

PHTML::ResetButton::ResetButton | ( | const char * | type,
|  | const char * | title,
|  | const char * | fname = `NULL`,
|  | const char * | src = `NULL`,
|  | DisableCodes | disabled = `Enabled`,
|  | const char * | attr = `NULL` |
| ) |  |  | `[protected]`

## Member Function Documentation

virtual void PHTML::ResetButton::AddAttr | ( | PHTML & | html | ) | const`[protected, virtual]`

Reimplemented from PHTML::InputImage.

The documentation for this class was generated from the following file:

- html.h